New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

DevShop 1.1.0 installer missing dependency #259

Open
webairjon opened this Issue Apr 5, 2018 · 1 comment

Comments

Projects
None yet
2 participants
@webairjon

webairjon commented Apr 5, 2018

When installing on Centos 7.4 minimal install I received the following error message:

[...]
HEAD is now at d56ba09... New release v2.3.0.0-1
error: File not found by glob: ./rpm-build/ansible-*.noarch.rpm
./install.sh: line 223: ansible: command not found
./install.sh: line 226: ansible: command not found
We require ansible but it's not installed. The installation has failed. Aborting.

Running the make manually the error is:

Makefile:22: *** The 'sphinx-build' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the 'sphinx-build' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/. Stop.
make[1]: Leaving directory `/root/tmp/ansible/docs/api'
make: *** [clean] Error 2

So I ran:

yum install python-sphinx

and that solved the issue (again on Centos 7.4)

Hope that helps

@jonpugh

This comment has been minimized.

Member

jonpugh commented Apr 6, 2018

Thanks! I'll add that version to the testing array, I want to try and reproduce this before making any further changes.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment